# -- build --------

[build-system]
	requires = [
		"setuptools",
		"setuptools_scm[toml]>=3.4.3",
		"wheel",
		"cython",
		"numpy",
		"scipy",
	]
	build-backend = "setuptools.build_meta"

	# -- metadata -----

[project]
	name = "pyseobnr"
	description = "Gravitational wave modelling within the effective-one-body framework"
	readme = "README.rst"
	authors = [
		{ name = "Serguei Ossokine", email = "serguei.ossokine@tutanota.com" },
		{ name = "Lorenzo Pompili", email = "lorenzo.pompili@ligo.org" },
		{ name = "Deyan Mihaylov", email = "deyan.mihaylov@ligo.org" },
		{ name = "Antoni Ramos Buades", email = "antoni.ramos-buades@ligo.org" },
		{ name = "Michael Puerrer", email = "michael.puerrer@ligo.org" },
		{ name = "Hector Estelles", email = "hector.estelles@ligo.org" },

	]
	license = { text = "GPL-3.0-or-later" }

	# requirements:
	requires-python = ">=3.8"
	dependencies = [
		"numpy>=1.23.0",
		"scipy>=1.8.0",
		"matplotlib",
		"h5py",
		"numexpr",
		"numba",
		"qnm",
		"scri",
		"setuptools",
		"jax",
		"jaxlib",
		"rich",
		"pygsl_lite",
		"lalsuite",
	]

	# dynamic properties set by tools:
	dynamic = ["version"]

[tool.setuptools_scm]
write_to = "pyseobnr/_version.py"

[project.optional-dependencies]
	checks = [
		'bilby',
		'waveform_tools @ git+https://sergei_ossokine@bitbucket.org/sergei_ossokine/waveform_tools.git',
		'gwsurrogate',
		'pathos',
		'scikit-optimize',
	]

	docs = [
		'nbsphinx',
		'numpydoc',
		'sphinx',
		'sphinx_rtd_theme',
		'sphinx-tabs',
		'cython',
	]

[tool.pytest.ini_options]
minversion = "6.0"
testpaths = [
    "test"
	]
